## microb-eal 2.5.11.11-1+0m5

=== debian/changelog ===
microb-eal (2.5.11.11-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Fri, 27 Nov 2009 00:19:49 +0200

microb-eal (2.5.11.11-1) unstable; urgency=low

  * Fixes: NB#148232 - SSU in rescue mode breaks because microb-eal requires
    dbus to be running on updation 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 25 Nov 2009 18:54:22 +0200

microb-eal (2.5.11.10-1) unstable; urgency=low

  * (From 2.8.10-1) Fixes: NB#145508 - Onchange event is handled improperly

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 24 Nov 2009 18:49:00 +0200

microb-eal (2.5.11.9-1) unstable; urgency=low

  * Fix typo. Fixes: NB#136709

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Fri, 13 Nov 2009 00:10:39 +0200

microb-eal (2.5.11.8-1) unstable; urgency=low

  * Revert NB#137043, fails to apply on branch elsewhere

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 12 Nov 2009 19:07:15 +0200

microb-eal (2.5.11.7-1) unstable; urgency=low

  * (From 2.6.3-1) Fixes for NB#136709 SunSpider tests flicker and fill the
    history

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 18 Sep 2009 13:32:22 +0300

microb-eal (2.5.11.6-1) unstable; urgency=low

  * (From 2.8.6-1 2.8.6-2) Fixes: NB#145910 Memory corruption in Internal
    MozillaNativeAppSupport usage

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 09 Nov 2009 19:15:42 +0200

microb-eal (2.5.11.5-1) unstable; urgency=low

  * (From 2.8.5-1) Fixes: NB#144164 Using wrong url variable in microb-eal.
  * (From 2.7.8-1) Fixes for NB#143614 Page is not rerendered when JavaScript
    actions increase page length. Fixes: NB#143488

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 23 Oct 2009 18:30:43 +0300

microb-eal (2.5.11.4-1) unstable; urgency=low

  * (From 2.8.3-1) Fixes: NB#143491 - JavaScript pausing timeout should be
    user cofigurable
  * (From 2.8.1-2) Fixes: NB#144378 - OVI files login does not work 
  * (From 2.6.9-1) Fixed warning, missing return value, bug 134975.
  * (From 2.6.6-3) Fixes: NB#134975 - Problem with adding tweets
  * (From 2.7.5-2) Fixes: NB#136493 - [MT] Valgrind reports invalid read
    of size 8
  * Fixes: NB#140187 - Copy option is not working when text on the page is
    selected 

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 03 Nov 2009 21:06:46 +0200

microb-eal (2.5.11.3-1) unstable; urgency=low

  * (From 2.7.6-3) Fixes: NB#138448 - Crash on closing last window and
    opening new one

 -- Oleg Romashin <oleg.romashin@nokia.com>  Tue, 13 Oct 2009 11:30:22 +0300

microb-eal (2.5.11.2-1) unstable; urgency=low

  * (From 2.7.6-4) Fixes: NB#138409 - Google Reader is rendered incorrectly
  * (From 2.6.2-5) Fixes: NB#138144 Ovi bookmark does not get updated with
    page thumbnail and sometimes becomes blank

 -- Oleg Romashin <romaxa@gmail.com>  Fri, 18 Sep 2009 11:50:27 +0300

microb-eal (2.5.11.1-1) unstable; urgency=low

  * Merge from trunk up to 2.5.11-2
  * (From 2.6.1-3) Fixes: NB#139125 New Find implementation leaking window
    pointer

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 13 Oct 2009 20:24:23 +0300

microb-eal (2.5.11-2) unstable; urgency=low

  * Fixes: NB#132397 find on page does not work correctly when page is zoomed 

 -- Egor Starkov <egor.starkov@nokia.com>  Mon, 14 Sep 2009 17:40:21 +0300

microb-eal (2.5.11-1) unstable; urgency=low

  * Fixes: NB#137667 Unable to get "Remember credentials for this site"
    dialog back

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 14 Sep 2009 15:47:49 +0300

microb-eal (2.5.10-1) unstable; urgency=low

  * Fixed NB#137207 browser segfaults when syncing with Xmarks

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Sep 2009 08:31:58 +0300

microb-eal (2.5.9-1) unstable; urgency=low

  * Fixed NB#138557 Engine crashes on exit, webbus not destroyed,
    quit-application interaction with UI

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 11 Sep 2009 17:13:11 +0300

microb-eal (2.5.8-1) unstable; urgency=low

  * Fixes: NB#138365 Random AppendUTF8toUTF16 crashes

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 11 Sep 2009 16:38:00 +0300

microb-eal (2.5.7-1) unstable; urgency=low

  * Fixes: NB#138448 Crash on closing last window and opening new one

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 11 Sep 2009 13:00:48 +0300

microb-eal (2.5.6-2) unstable; urgency=low

  * Update changlog

 -- Oleg Romashin <oleg.romashin@nokia.com>  Fri, 11 Sep 2009 10:24:03 +0300

microb-eal (2.5.6-1) unstable; urgency=low

  * Fixes: NB#138129 Microb eal crashes on hendersonpetrophysics in debug build

 -- Oleg Romashin <oleg.romashin@nokia.com>  Thu, 10 Sep 2009 11:00:30 +0300

microb-eal (2.5.5-1) unstable; urgency=low

  * Fixes: NB#138014 Get rid of old thumbnail manager. + mem leak fix on destroy

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 09 Sep 2009 15:47:45 +0300

microb-eal (2.5.4-1) unstable; urgency=low

  * Fixed NB#137044 Memory leak in browserd with repeated webpage with
    forms reloading.

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 09 Sep 2009 14:47:08 +0300

microb-eal (2.5.3-2) unstable; urgency=low

  * Updated unit tests

 -- Aiken Tie <ext-tie.aiken@nokia.com>  Mon, 07 Sep 2009 10:52:46 +0300

microb-eal (2.5.3-1) unstable; urgency=low

  * Fixes for 136547 Typing numbers into the web fields is inconsistent

 -- Oleg Romashin <oleg.romashin@nokia.com>  Wed, 02 Sep 2009 15:39:12 +0300

microb-eal (2.5.2-5) unstable; urgency=low

  * Fixes: NB#135636 The item of pull-down menu does not work when tapping it by touch screen

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 02 Sep 2009 14:07:08 +0300

microb-eal (2.5.2-4) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 01 Sep 2009 14:56:05 +0300

microb-eal (2.5.2-3) unstable; urgency=low

  * Fixed NB#110380 Load image option from csm is not working


