## microb-eal 2.9.5-1.15+0m5

=== debian/changelog ===
microb-eal (2.9.5-1.15+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.9.5-1.15+0m5

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 01 Mar 2010 17:10:54 +0200

microb-eal (2.9.5-1.15) unstable; urgency=low

  * (From 3.1.2-6) Fixes: NB#155982 Saving received contact does not work
    as good it worked on PR1.1.1

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 19 Feb 2010 08:08:12 +0200

microb-eal (2.9.5-1.14) unstable; urgency=low

  * (From 3.1.2-4) Fixes: NB#154072 Severe rendering errors together with
    kinetic scrolling
  * (From 3.1.2-2) Fixes: NB#142104 Browserd causing a lot of wakeups on
    nettiauto.com
  * (From 3.1.2-1) Fixes: NB#156839 - "Try Again" button on neterror page
    ("Offline mode", "Unable to connect", "Server not found") doesn't
    attempt to raise a connection
  * (From 3.1.1-3) Fixes: NB#155683 - Cannot input numbers/symbols/upper
    case letters when text input area is auto-focused
  * (From 3.0.9-3) Fixes: NB#152260 browserd crashes during normal browsing
  * (From 3.0.9-2) Fixes: NB#155756 g_mozilla_parse_env_proxy limits proxy
    server names to about 20 characters

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 16 Feb 2010 17:47:20 +0200

microb-eal (2.9.5-1.13) unstable; urgency=low

  * (From 3.0.13-1) Fixes: NB#156922 - Revert hw BACK button functionality
 
 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 15 Feb 2010 15:59:18 +0200

microb-eal (2.9.5-1.12) unstable; urgency=low

  * (From 3.0.12-1) Fixes: NB#154603 - After enabling the browser plugin
    restarting the browser causes browser application to crash

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 10 Feb 2010 20:52:00 +0200

microb-eal (2.9.5-1.10.1) unstable; urgency=low

  * Back out NB#155683, Fixes: NB#156853 Maps UI stucks after using search
    engine

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Fri, 12 Feb 2010 18:44:26 +0200

microb-eal (2.9.5-1.10) unstable; urgency=low

  * (From 3.0.10-1) Fixes: NB#145850 - Text not saved when using virtual
    keyboard in browser portrait Mode
  * (From 3.0.9-1) Fixes: NB#155530 - JavaScript confirmation dialog
    responsible for confirmation of POST message causes browser to get
    stuck if it's shown in Recent History View
  * (From 3.0.5-1 3.0.6-2) Fixes: NB#153051 Get rid of microb-eal
    connectivity service and use only engine provided service.

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 02 Feb 2010 11:38:06 +0200

microb-eal (2.9.5-1.9) unstable; urgency=low

  * (From 3.0.8-4) Fixes: NB#152769 - Search engine gets stuck after search
    for POI or new waypoint

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 01 Feb 2010 12:36:28 +0200

microb-eal (2.9.5-1.8) unstable; urgency=low

  * (From 3.0.8-1) Fixes: NB#153572 - Browser landscape toolbar to mirror
    the portrait toolbar

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Mon, 25 Jan 2010 19:18:30 +0200

microb-eal (2.9.5-1.7) unstable; urgency=low

  * Back out NB#145681 due to crash NB#154593

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 27 Jan 2010 19:45:11 +0200

microb-eal (2.9.5-1.6) unstable; urgency=low

  * (From 3.0.7-5) Fixes: NB#150698 - <coverity> MISSING_BREAK in microb-eal
  * (From 3.0.7-4) Fixes: NB#153297 - Missing options when tapping on
    number in received SMS
  * (From 3.0.7-2) Fixes: NB#150992 - Password entry to browser more visible 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 29 Dec 2009 16:50:03 +0200

microb-eal (2.9.5-1.5) unstable; urgency=low

  * (From 2.9.6-3) Fixes: NB#150256 - Application toolbar displays with
    empty url/address field in full screen mode after tapping some text in
    input field and next press Down HW key.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 17 Dec 2009 08:44:15 +0200

microb-eal (2.9.5-1.4) unstable; urgency=low

  * Fixes: NB#150574 - CSM doesn't open correctly for flash element - only a little black square displays. 

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 19 Jan 2010 18:55:41 +0200

microb-eal (2.9.5-1.3) unstable; urgency=low

  * (From 3.0.6-5) Fixes: NB#152854 Tooltip issues - feature not usable,
    not showing, wrong item displayed

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 19 Jan 2010 10:29:05 +0200

microb-eal (2.9.5-1.2) unstable; urgency=low

  * (From 2.9.6-4) Fixes: NB#148172 Browser crashes when closing a few windows.

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 18 Dec 2009 10:26:20 +0200

microb-eal (2.9.5-1.1) unstable; urgency=low

  * (From 3.0.6-3) Fixes: NB#149278 - Modifier key presses need to be sent
    to plugins
  * (From 3.0.6-1) Fixes: NB#133951 CTA: (rtl overflow) Arabic facebook is
    trimmed from the left side
  * Merge from default up to 2.9.5-1

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 18 Jan 2010 18:38:59 +0200

microb-eal (2.9.5-1) unstable; urgency=low

  * Revert MISSING_BREAK related parts of NB#137774

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 14 Dec 2009 21:38:23 +0200

microb-eal (2.9.4-1) unstable; urgency=low

  * Fixes: NB#150547 Microb EAL is using hardcoded UI socket name

 -- Oleg Romashin <oleg.romashin@nokia.com>  Mon, 14 Dec 2009 11:39:24 +0200

microb-eal (2.9.3.2-1) unstable; urgency=low

  * (From 3.0.4-4) Fixes: NB#144595 Block zooming is not working properly
    when switching between Portrait and Landscape modes
  * (From 3.0.4-3) Fixes: NB#152387 - Extended virtual keyboard shows and
    closes quickly when invoked in browser
  * (From 3.0.4-1) Fixes: NB#146481 - Global history list receiving need
    to be optimized

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Mon, 11 Jan 2010 20:33:44 +0200

microb-eal (2.9.3-4) unstable; urgency=low

  * Fixes: NB#149222 - UI is not updating layout after back/forward navigation


