## microb-eal 2.9.5-1.18+0m5

=== debian/changelog ===
microb-eal (2.9.5-1.18+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.9.5-1.18+0m5

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 18 Mar 2010 15:34:45 +0200

microb-eal (2.9.5-1.18) unstable; urgency=low

  * (From 3.1.4-7 3.1.4-9) Fixes: NB#160813 - Geolocation browser dialog
    not localised

 -- Andrey Petrov <andrey.petrov@nokia.com>  Thu, 18 Mar 2010 08:05:30 +0200
