## microb-eal 2.9.5-1.23+0m5

=== debian/changelog ===
microb-eal (2.9.5-1.23+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 2.9.5-1.23+0m5

 -- Goel Lokesh Kumar <lokesh.k.goel@nokia.com>  Fri, 23 Jul 2010 13:53:57 +0300

microb-eal (2.9.5-1.23) unstable; urgency=low

  * Fixes: NB#172932 - Typing in web-based text input fields isn't as seamless 
    as when using a desktop/laptop computer

 -- Andrey Petrov <andrey.petrov@nokia.com>  Tue,  6 Jul 2010 08:37:47 +0300

microb-eal (2.9.5-1.22) unstable; urgency=low

  * Fixes: NB#171321 - Can't zoom to posts column on Talk

 -- Andrey Petrov <andrey.petrov@nokia.com>  Fri, 18 Jun 2010 13:54:46 +0300

microb-eal (2.9.5-1.21) unstable; urgency=low

  * (From 3.1.5-1) Fixes: NB#162688 - browser components recompilation
    with G_DISABLE_CAST_CHECKS

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 15:28:03 +0300

microb-eal (2.9.5-1.20) unstable; urgency=low

  * (From 3.1.5-2) Fixes: NB#162980 - Sync up engine to last mozilla 1.9.2

 -- Andrey Petrov <andrey.petrov@nokia.com>  Tue, 13 Apr 2010 11:42:59 +0300

microb-eal (2.9.5-1.19) unstable; urgency=low

  * (From 3.1.4-6) Fixes: NB#160867 - browserui leaks file descriptors
  * (From 3.1.3-1) Fixes: NB#145923 - device got hanged when interacting
    with save target as otion from csm menu on an URL link in viewer view

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Fri, 19 Feb 2010 16:42:54 +0200
