=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Oleg Romashin <oleg.romashin@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), browser-eal-dev (>= 0.5.3.2-1), microb-engine-dev (>= 20091108-1.9.2-5), libgtk2.0-dev, libhildon1-dev | hildon-libs-dev, libosso-gnomevfs2-dev, libssl-dev, libgtkmozembed-dev (>= 1.8.7-1), libconic0-dev | osso-ic-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev, libosso-dev, osso-browser-translations-dev
+Build-Depends: debhelper (>= 4.0.0), browser-eal-dev (>= 0.5.5-6.5), microb-engine-dev (>= 20100401-1.9.2), libgtk2.0-dev, libhildon1-dev | hildon-libs-dev, libosso-gnomevfs2-dev, libssl-dev, libgtkmozembed-dev (>= 1.8.7-1), libconic0-dev | osso-ic-dev, libdbus-1-dev | dbus-1-dev, libdbus-glib-1-dev | dbus-glib-1-dev, libosso-dev, osso-browser-translations-dev
 Standards-Version: 3.6.0
 
 Package: microb-eal-dev
