=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,7 @@
 debug:=y
 else
 debug:=$(debug)
+optimize_add += -DG_DISABLE_CAST_CHECKS
 endif
 
 ifneq (,$(findstring noopenssl,$(DEB_BUILD_OPTIONS)))
